qpid-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Keith Wall (Created) (JIRA)" <j...@apache.org>
Subject [jira] [Created] (QPID-3805) Remove obsolete security plugins allow-all and deny-all
Date Thu, 02 Feb 2012 21:54:53 GMT
Remove obsolete security plugins allow-all and deny-all
-------------------------------------------------------

                 Key: QPID-3805
                 URL: https://issues.apache.org/jira/browse/QPID-3805
             Project: Qpid
          Issue Type: Improvement
          Components: Java Broker
    Affects Versions: 0.15
            Reporter: Keith Wall
            Assignee: Keith Wall
             Fix For: 0.15


Java Broker supports two security plugins allow-all and deny-all.   <allow-all/> flags
a Broker (or Virtualhost) as allowing all operations (which is the default).  <deny-all/>
tries to do the opposite although as described by QPID-3300, is current broken.

Since equivalent functionality is offered by the  ACL plugin (preferred), these two plugins
will be removed.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

---------------------------------------------------------------------
Apache Qpid - AMQP Messaging Implementation
Project:      http://qpid.apache.org
Use/Interact: mailto:dev-subscribe@qpid.apache.org


Mime
View raw message